Hands In Docs
APIV1

List all refunds

GET
/refunds

Authorization

AuthorizationBearer <token>

Merchant JWT bearer token

In: header

Scope: refunds.read

Query Parameters

startKey?string

A unique identifier for the refund object.

orderBy?string
from?string
orderType?string

The order in which objects are returned by

pageSize?integer

The maximum number of objects that can be returned

Response Body

application/json

application/json

curl -X GET "https://example.com/refunds"
[
  {
    "merchantId": "string",
    "id": "string",
    "paymentId": "string",
    "amountMoney": {
      "amount": 100,
      "currency": "AED"
    },
    "status": "PENDING",
    "reason": "string",
    "referenceId": "string",
    "metaData": {
      "property1": "string",
      "property2": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "gatewayVersion": 0.1,
    "gatewayId": "string",
    "gatewayName": "square",
    "gatewayRefundId": "string"
  }
]
{
  "http_status_code": 100,
  "moreInfo": "https://www.randomurl.com",
  "name": "string",
  "detail": "string",
  "instance": "/pets/dogs/123",
  "property1": null,
  "property2": null
}